<mat-card>
  <mat-card-header>
    <div mat-card-avatar class="example-header-image"></div>
    <mat-card-title>Movies Genre List</mat-card-title>
  </mat-card-header>
  <mat-card-content>
    <mat-list role="list">
      <mat-list-item *ngFor="let genre of genres" (click) = "editGenre(genre)">
        <h3 mat-line>{{genre.name}}</h3>
        <mat-divider></mat-divider>
      </mat-list-item>
    </mat-list>
  </mat-card-content>
  <div *ngIf="!hideForm">
    <app-genre-form [genre] = "eventSubject.asObservable()"></app-genre-form>
  </div>
  <button mat-flat-button color="primary" (click)="showForm()" class="add-button">Add new</button>
</mat-card>